Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MapKeySet Class Reference

`#include <coherence/util/MapKeySet.hpp>`

Inherits ConverterCollections::ConverterSet.

Inherited by MappedSet.

List of all members.

## Detailed Description

A wrapper class that provides the Set interface for the key set of a map.

It's returned by the default implementation of the AbstractMap::keySet() method. MapKeySet is based on the ConverterCollections functionality which will convert a map's entrySet into a KeySet

Note that because this ConverterSet is based on the Map's entrySet, all write operations on the set must be converted out to a method on the Map, not the keyset.

Author:
  nsa 2008.01.31

FinalHolder< Map > | m_thMapDelegate
| The underlying map.
virtual Map::Handle | getMapDelegate ()
| Return the delegate Map instance.
virtual Map::View | getMapDelegate () const
| Return the delegate Map instance.
virtual bool | removeAll (Collection::View vc)
| inheritDoc}
virtual bool | retainAll (Collection::View vc)
| inheritDoc}
virtual bool | contains (Object::View v) const
| inheritDoc}
virtual bool | containsAll (Collection::View vc) const
| inheritDoc}
## Public Types
typedef spec::Handle | Handle
| MapKeySet Handle definition.
typedef spec::View | View
| MapKeySet View definition.
typedef spec::Holder | Holder
| MapKeySet Holder definition.
## Public Member Functions
virtual bool | remove (Object::View v)
  | Remove the supplied element from this collection. Parameters:
  | v | the element to remove
Returns: true iff this collection was modified as a result of this operation
## Protected Member Functions
| MapKeySet (Map::Handle hMapDelegate)
| Create a KeySet which delegates to the specified Set or Map depending on the operation.
| MapKeySet (Map::View vMapDelegate)
| Create a WrapperCollections::AbstractWrapperSet which delegates to the specified Set.
## Classes
class | KeyConverter
| Convert a Map::Entry into a Map::Entry::Key. More...

## Constructor & Destructor Documentation

MapKeySet | ( | Map::Handle | hMapDelegate | ) | `[protected]`

Create a KeySet which delegates to the specified Set or Map depending on the operation.

Parameters:

  | hMap | the specfied Map.

MapKeySet | ( | Map::View | vMapDelegate | ) | `[protected]`

Create a WrapperCollections::AbstractWrapperSet which delegates to the specified Set.

Parameters:

  | vMap | the specified Map.

## Member Function Documentation

virtual Map::Handle getMapDelegate | ( |  | ) | `[protected, virtual]`

Return the delegate Map instance.

Returns:
  the delegate Map instance

virtual Map::View getMapDelegate | ( |  | ) | const `[protected, virtual]`

Return the delegate Map instance.

Returns:
  the delegate Map instance

The documentation for this class was generated from the following file:

- coherence/util/MapKeySet.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.